
Redmine - Defect #9969

First relation adding is not available

2012-01-10 20:01 - Ingvarr Zhmakin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.0

Description

If the issue has relations already, I can add or remove them.

If not, there is no "Related issues" list nor "Add" link.

Everyithing was fine till 1.2.2. The problem appeared in 1.3.

_

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.8.10

Rack version              1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          mysql

Database schema version   20110902000000

About your Redmine plugins

Redmine Close Button plugin          0.0.7

Issues XLS export                    0.1.3

Redmine Issue Control Panel plugin   0.3.0

Redmine Better Gantt Chart plugin    0.5.5

Redmine Closed Date plugin           0.0.1

_

Related issues:

Has duplicate Redmine - Defect #10278: Related issues field lost after upgrad... Closed

History

#1 - 2012-01-11 12:26 - Etienne Massip

RubyGems 1.8 is not supported but I doubt this has something to do with your issue; please look for any error in your production.log file and try with

no plugin installed.

#2 - 2012-01-11 12:31 - Ingvarr Zhmakin

Nothing in production.log.

Everything worked up to 1.2.2.

#3 - 2012-01-11 12:40 - Etienne Massip

Yes but plugins for 1.2 are not necessarily working with 1.3, they might need some updates.

Hence the test with no plugins; I don't know any other way to ensure that this is a plugin issue.

Else, the issue will be closed as "Can't reproduce" on raw 1.3 (you can try yourself on m.redmine.org or demo.redmine.org).

#4 - 2012-01-11 12:52 - Ingvarr Zhmakin
Fully reproducable on demo.redmine.org.

No way to add a relation initially if no relations exist.

#5 - 2012-01-11 18:33 - Etienne Massip

I just did.

There exists some limit which force you to type in at least 2 or 3 characters in the input field to trigger the AJAX search; this is annoying if the related

issue you want to add has a # < 100 or its topic is not 3 characters long, this might be your case?

#6 - 2012-01-11 18:39 - Ingvarr Zhmakin

UPS... Sorry, but what have you did then?.. :-)

Lets consider my usecase attempt for demo.

I open (http://demo.redmine.org/issues/1912), and now I would like to make it related to (http://demo.redmine.org/issues/1911).

Before 1.3 I had empty Related issues list and Add link on these pages.

Now I don't.

How do I make a relation now?

Perhaps this is some RTFM or just idiocy case?..

#7 - 2012-01-11 18:52 - Etienne Massip

- Category changed from Issues to Issues permissions

- Priority changed from High to Normal

Not sure it is an issue, but this is related to permission.

#8 - 2012-01-11 18:54 - Ingvarr Zhmakin

Are you sure?

At the same moment I am able to make a relation to the relationless issue from an issue that already has relations.

#9 - 2012-01-11 18:55 - Ingvarr Zhmakin

And are you sure this is normal priority?

The issue relationship is unusable in the stable version. That's a trouble. :-)

#10 - 2012-01-11 20:35 - Etienne Massip

Ingvarr Zhmakin wrote:

At the same moment I am able to make a relation to the relationless issue from an issue that already has relations.

 Could you please point me to 2 issues of the same project on the demo site, one with a relation and another one without?

Also, did you check that your role in the project have the 'Manage relations' permission?

This relation behavior might have changed with r6179, but I can't see how.

#11 - 2012-01-11 22:35 - Ingvarr Zhmakin

Oh.

That at last was related with a plugin.

I beg your pardon for making wrong bugreport.

Sorry.

#12 - 2012-01-11 22:36 - Ingvarr Zhmakin

- Status changed from New to Resolved

#13 - 2012-01-11 22:56 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

No problem.

Thanks for the feedback! =)
